Package org.opensaml.soap.wssecurity.messaging

# Interface Token<TokenType>

Type Parameters:
  `TokenType` - the type of token represented

All Known Implementing Classes:
  `AbstractToken`, `SAML20AssertionToken`

public interface Token<TokenType>
An interface for WS-Security tokens.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Token.ValidationStatus`
Enumeration of the possible states of token validation.

## Method Summary

Modifier and Type
Method
Description
`Token.ValidationStatus`
`getValidationStatus()`
Get the token validation status.
`TokenType`
`getWrappedToken()`
Get the underlying data structure of this token.

## Method Details

### getWrappedToken

TokenType getWrappedToken()
Get the underlying data structure of this token.

Returns:
  the underlying token object

### getValidationStatus

Token.ValidationStatus getValidationStatus()
Get the token validation status.

Returns:
  the token validation status